%global sname tripleo-ui

%{!?upstream_version: %global upstream_version %{version}%{?milestone}}
%{?dlrn: %global tarsources %{name}-%{upstream_version}}
%{!?dlrn: %global tarsources package}

Name:           openstack-%{sname}
Version:        1.1.0
Release:        1%{?dist}
Summary:        TripleO UI --- GUI for the TripleO project
License:        ASL 2.0
URL:            http://tripleo.org
# Source0 is created by running "npm pack"
Source0:        http://tarballs.openstack.org/tripleo-ui/tripleo-ui-%{upstream_version}.tar.gz
Source1:        tripleo-ui.conf

#
# patches_base=+1
#
Patch0001: 0001-Downstream-Branding-using-RCUE.patch
Patch0002: 0002-Fixes-the-title-attribute-in-head.patch

BuildRequires:  nodejs
BuildRequires:  git
BuildRequires:  %{name}-deps >= 2
BuildArch:      noarch

%description

%prep
%autosetup -n %{tarsources} -S git

%build
rm -rf node_modules
ln -s /opt/%{name}-deps/node_modules .
npm run build

%install
mkdir -p %{buildroot}/%{_datadir}/%{name}
mkdir -p %{buildroot}/var/www/%{name}
mkdir -p %{buildroot}/etc/httpd/conf.d/
cp -rf dist %{buildroot}/var/www/%{name}/
cp -rf %{SOURCE1} %{buildroot}/etc/httpd/conf.d/%{name}.conf

%files
%{_localstatedir}/www/%{name}
%config(noreplace)  %{_sysconfdir}/httpd/conf.d/%{name}.conf
%license LICENSE
%doc README.md

%changelog
* Thu Jan 05 2017 Jon Schlueter <jschluet@redhat.com> 1.1.0-1
- Update to 1.1.0 (rhbz#1413163)

* Wed Nov 30 2016 Mike Burns <mburns@redhat.com> 1.0.5-3
- Fixes the title attribute in head rhbz#1400001

* Mon Nov 28 2016 Jon Schlueter <jschluet@redhat.com> 1.0.5-2
- Fix roles listing for custom plan (rhbz#1398205, rhbz#1398233, rhbz#1395810)
- Include the plan name on node assignment 
- Add pxe_drac to the node registration driver list
- Downstream Branding using RCUE

* Thu Nov 17 2016 Jon Schlueter <jschluet@redhat.com> 1.0.5-1
- Update to 1.0.5

* Thu Nov 10 2016 Jason Joyce <jjoyce@redhat.com> 1.0.4-4
- Allow user to specify FQDN instead of IP address when registering nodes
- Redirect user to login page when token expires
- Validate JSON parameters
- Refactor *DriverFields components

* Mon Nov 07 2016 Jon Schlueter <jschluet@redhat.com> 1.0.4-3
- Improve parameters loading
- Fix deployment success output
- Include nested parameters in service parameters
- Make sample file use %(tenant_id)s macro
- Pin jasmine-immutable-matchers version to ~1.0.1

* Tue Oct 25 2016 Jon Schlueter <jschluet@redhat.com> 1.0.4-2
- Bump version to 1.0.5
- Fix overflow scrolling

* Tue Oct 18 2016 Alfredo Moralejo <amoralej@redhat.com> 1.0.4-1
- Update to 1.0.4

* Thu Sep 29 2016 Haikel Guemar <hguemar@fedoraproject.org> 1.0.3-1
- Update to 1.0.3

